"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stateTable = exports.stateTableRow = void 0;
async function stateTableRow(client, code, scope, table, primaryKey, block_num) {
    try {
        const { row } = await client.stateTableRow(code, scope, table, primaryKey, { blockNum: block_num, json: true });
        if (!row.json)
            throw new Error(primaryKey + " `primaryKey` not found");
        return row.json;
    }
    catch (e) {
        throw new Error(`missing ${code}:${scope}:${table}:${primaryKey}`);
    }
}
exports.stateTableRow = stateTableRow;
async function stateTable(client, code, scope, table, block_num) {
    try {
        const { rows } = await client.stateTable(code, scope, table, { blockNum: block_num, json: true });
        if (!rows.length || !rows[0].json)
            throw new Error("no rows found");
        return rows[0].json;
    }
    catch (e) {
        throw new Error(`missing ${code}:${scope}:${table}`);
    }
}
exports.stateTable = stateTable;
