"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toMap = exports.numberFromMap = exports.toNumber = void 0;
/**
 * @example
 *
 * toNumber("1.0000 EOS");
 * //=> 1.0
 */
function toNumber(quantity) {
    return Number(quantity.split(" ")[0] || 0);
}
exports.toNumber = toNumber;
function numberFromMap(object, key) {
    const value = toMap(object).get(key);
    if (!value)
        return 0;
    return toNumber(value);
}
exports.numberFromMap = numberFromMap;
function toMap(object) {
    const kv = new Map();
    for (const row of object) {
        kv.set(row.key, row.value);
    }
    return kv;
}
exports.toMap = toMap;
